Package org.apache.coyote.http11

# Interface HttpOutputBuffer

All Superinterfaces:
  `OutputBuffer`

All Known Subinterfaces:
  `OutputFilter`

All Known Implementing Classes:
  `ChunkedOutputFilter`, `GzipOutputFilter`, `Http11OutputBuffer`, `Http11OutputBuffer.SocketOutputBuffer`, `Http2OutputBuffer`, `IdentityOutputFilter`, `VoidOutputFilter`

public interface HttpOutputBuffer extends OutputBuffer

## Method Summary

Modifier and Type
Method
Description
`void`
`end()`
Finish writing the current response.
`void`
`flush()`
Flushes any unwritten data to the client.

### Methods inherited from interface org.apache.coyote.OutputBuffer

`doWrite, getBytesWritten`

## Method Details

### end

void end() throws IOException
Finish writing the current response. It is acceptable to write extra bytes using `OutputBuffer.doWrite(java.nio.ByteBuffer)` during the execution of this method.

Throws:
  `IOException` - If an I/O error occurs while writing to the client

### flush

void flush() throws IOException
Flushes any unwritten data to the client.

Throws:
  `IOException` - If an I/O error occurs while flushing